Debian Bug report logs - #604126
should schedule auxiliary packages for installation

version graph

Package: live-installer; Maintainer for live-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for live-installer is src:live-installer.

Reported by: daniel@debian.org

Date: Sat, 20 Nov 2010 14:24:02 UTC

Severity: serious

Fixed in version live-installer/28

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604126; Package live-installer. (Sat, 20 Nov 2010 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Nov 2010 14:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-installer: needs to install lvm when lvm is selected
Date: Sat, 20 Nov 2010 15:20:37 +0100
Package: live-installer
Severity: serious

when the users chooses to use lvm, and the live system doesn't contain
lvm, we end up with an unbootable system..

somewhere, this should be accounted for, so that such auxilliary
packages are tracked and manually installed after the image has been
unpacked to target.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604126; Package live-installer. (Mon, 22 Nov 2010 19:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Nov 2010 19:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 604126@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604126@bugs.debian.org
Subject: Re: live-installer: needs to install lvm when lvm is selected
Date: Mon, 22 Nov 2010 20:43:10 +0100
retitle 604126 should schedule auxiliary packages for installation
tag 604126 pending
clone 604126 -1
reassign -1 live-build
tag -1 pending
thanks

needs fixes in both live-installer and live-build, both have been
updated in svn resp. git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'should schedule auxiliary packages for installation' from 'live-installer: needs to install lvm when lvm is selected' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:12 GMT) Full text and rfc822 format available.

Bug 604126 cloned as bug 604551. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:13 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 22 Nov 2010 23:24:21 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Mon, 22 Nov 2010 23:24:21 GMT) Full text and rfc822 format available.

Message #21 received at 604126-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604126-close@bugs.debian.org
Subject: Bug#604126: fixed in live-installer 28
Date: Mon, 22 Nov 2010 23:22:34 +0000
Source: live-installer
Source-Version: 28

We believe that the bug you reported is fixed in the latest version of
live-installer, which is due to be installed in the Debian FTP archive:

live-installer_28.dsc
  to main/l/live-installer/live-installer_28.dsc
live-installer_28.tar.gz
  to main/l/live-installer/live-installer_28.tar.gz
live-installer_28_i386.udeb
  to main/l/live-installer/live-installer_28_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Nov 2010 22:51:10 +0100
Source: live-installer
Binary: live-installer
Architecture: source i386
Version: 28
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-installer - Install the system (udeb)
Closes: 598181 603974 604126 604133
Changes: 
 live-installer (28) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Also removing debian-installer-launcher from target (Closes: #604133).
   * Adding support for btrfs (Closes: #598181).
 .
   [ Otavio Salvador ]
   * Use install_extra from base-installer's library. Closes: #604126.
 .
   [ Daniel Baumann ]
   * Reconfigure openssh-server to regenerate host keys if required.
   * Reconfigure console-setup to apply keyboard configuration (Closes: #603974).
 .
   [ Updated translations ]
   * si (si.po) by Danishka Navin
   * Slovenian (sl.po) by Vanja Cvelbar
Checksums-Sha1: 
 88d89477946c58dc1feff0246e4fb06b2005fa1b 1047 live-installer_28.dsc
 2a81f49df5a44c531f19f73944117795ff808512 52528 live-installer_28.tar.gz
 5ed6eb3a657a10884f6c7cd1d83a1896440faf37 28524 live-installer_28_i386.udeb
Checksums-Sha256: 
 f3c9f6596dc7b411c4bddd58e5c824fa74481f2137c6faf9d0b2d6b227ec4b6f 1047 live-installer_28.dsc
 ff284493a8bce162b92fa5c0e30241d7226576506e907b7c5cff8462b1736109 52528 live-installer_28.tar.gz
 b5f7da7defd1bc0dce62f5cf15df0ccf88a4d68494a8a28c520e6d196534e4f2 28524 live-installer_28_i386.udeb
Files: 
 715cfac5fe17a69b89e26e3491278585 1047 debian-installer optional live-installer_28.dsc
 44d3f0772ff4e4b93173332b62ed5b5f 52528 debian-installer optional live-installer_28.tar.gz
 30382efb0b06cb6879d277ffd38d2b0b 28524 debian-installer optional live-installer_28_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzq5ncACgkQ+C5cwEsrK55WUACeKI6fi1w4GVcTIPWahLqGuQRn
1dUAn2xzsvMVUPO/lHfwZrZMa+4gvmGQ
=XiAs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:49:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:37:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.